## rust-gettext 0.4.0

=== Makefile ===
MO_FILES = $(patsubst %.po,%.mo,$(wildcard test_cases/*.po))

%.mo: %.po
	msgfmt -o $@ $<

all: test_cases

test_cases: $(MO_FILES)

clean:
	rm -f test_cases/*.mo

=== debian/changelog ===
rust-gettext (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * Package gettext 0.4.0 from crates.io using debcargo 2.4.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Apr 2020 14:07:39 +0200

rust-gettext (0.4.0-1) unstable; urgency=medium

  * Package gettext 0.4.0 from crates.io using debcargo 2.4.2

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Sat, 08 Feb 2020 18:59:17 +0100

=== debian/control ===
Source: rust-gettext
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-byteorder-1+default-dev (>= 1.3-~~) <!nocheck>,
 librust-encoding-0.2+default-dev (>= 0.2.32-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gettext]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gettext

Package: librust-gettext-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-byteorder-1+default-dev (>= 1.3-~~),
 librust-encoding-0.2+default-dev (>= 0.2.32-~~)
Provides:
 librust-gettext+default-dev (= ${binary:Version}),
 librust-gettext-0-dev (= ${binary:Version}),
 librust-gettext-0+default-dev (= ${binary:Version}),
 librust-gettext-0.4-dev (= ${binary:Version}),
 librust-gettext-0.4+default-dev (= ${binary:Version}),
 librust-gettext-0.4.0-dev (= ${binary:Version}),
 librust-gettext-0.4.0+default-dev (= ${binary:Version})
Description: Gettext translation framework for Rust - Rust source code
 This package contains the source for the Rust gettext crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gettext 0.4.0 --all-targets --all-features
Features: test-name=@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gettext 0.4.0 --all-targets --no-default-features
Features: test-name=librust-gettext-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/gettext-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/gettext .*/crates/gettext/@ANY_VERSION@/download
